## pgvector 0.4.2

=== debian/changelog ===
pgvector (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1034391)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 22 May 2023 17:48:01 +0200
