=== debian/changelog ===
pgvector (0.4.4-1) unstable; urgency=medium

  * Upstream Release 0.4.3
    - Improvements:
      * Improved cost estimation
      * Improved support for spaces with text representation
    - Fixes:
      * Fixed infinite and NaN values with binary representation
      * Fixed infinite values with vector addition and subtraction
      * Fixed infinite values with list centers
      * Fixed compilation error when float8 is pass by reference
      * Fixed compilation error on PowerPC
      * Fixed segmentation fault with index creation on i386
  * Upstream Release 0.4.4
    - Improvements
      * Improved error message for malformed vector literal
    - Fixes:
      * Fixed segmentation fault with text input
      * Fixed consecutive delimiters with text input

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 29 Jul 2023 20:58:45 +0200
