## pgvector 0.5.0

=== debian/changelog ===
pgvector (0.5.0-1) unstable; urgency=medium

  * Upstream Release 0.5.0
    - Features:
      * Added HNSW index type
      * Added support for parallel index builds for IVFFlat
      * Added l1_distance function
      * Added element-wise multiplication for vectors
      * Added sum aggregate
    - Improvements:
      * Improved performance of distance functions
    - Fixes:
      * Fixed out of range results for cosine distance
      * Fixed results for NULL and NaN distances for IVFFlat

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 05 Sep 2023 15:31:16 +0200
