=== debian/changelog ===
pgvector (0.5.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Oct 2023 16:36:19 +0200

pgvector (0.5.1-1) unstable; urgency=medium

  * New Upstream Release
    - Features:
      * Added check for MVCC-compliant snapshot for index scans
    - Improvements:
      * Improved performance of HNSW index builds

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 17 Oct 2023 16:36:19 +0200

pgvector (0.5.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 17:50:54 +0200
