=== debian/control ===
--- 
+++ 
@@ -5,13 +5,53 @@
 Uploaders:
  Bradford D. Boyle <bradford.d.boyle@gmail.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 217~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
+
+Package: postgresql-11-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-12-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-13-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-14-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
 
 Package: postgresql-15-pgvector
 Architecture: any
@@ -22,3 +62,13 @@
 Description: Open-source vector similarity search for Postgres
  Supports exact and approximate nearest neighbor search for L2 distance, inner
  product, and cosine distance.
+
+Package: postgresql-16-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
