=== debian/changelog ===
pgvector (0.6.0-1) unstable; urgency=medium

  * New Upstream Release
    - Breaking:
      * Dropped support for Postgres 11
    - Features:
      * Added support for parallel index builds for HNSW
      * Added validation for GUC parameters
      * Added Docker tags for each supported version of Postgres
    - Improvements:
      * Improved performance of HNSW
      * Reduced memory usage for HNSW index builds
      * Reduced WAL generation for HNSW index builds
    - Fixes:
      * Fixed error with logical replication
      * Fixed invalid memory alloc request size error with HNSW index builds
    - Misc:
      * Changed storage for vector from extended to external
      * Moved Docker image to pgvector org

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 09 Feb 2024 12:11:11 +0100
