=== debian/control ===
Source: pgvector
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Bradford D. Boyle <bradford.d.boyle@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: postgresql-16-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.
