=== debian/changelog ===
pgvector (0.7.2-1) unstable; urgency=medium

  * New Upstream Release
  - Fixes:
    * Fixed initialization fork for indexes on unlogged tables

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 15 Jun 2024 10:59:41 +0200

pgvector (0.7.1-1) unstable; urgency=medium

  * New Upstream Release
    - Improvements:
      * Improved performance of on-disk HNSW index builds
    - Fixes:
      * Fixed `undefined symbol` error with GCC 8
      * Fixed compilation error with universal binaries on Mac
      * Fixed compilation warning with Clang < 14

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 05 Jun 2024 12:37:51 +0200

pgvector (0.7.0-1) unstable; urgency=medium

  * New Upstream Release
    - Features:
      * Added `halfvec` type
      * Added `sparsevec` type
      * Added support for indexing `bit` type
      * Added support for indexing L1 distance with HNSW
      * Added `binary_quantize` function
      * Added `hamming_distance` function
      * Added `jaccard_distance` function
      * Added `l2_normalize` function
      * Added `subvector` function
      * Added concatenate operator for vectors
      * Added CPU dispatching for distance functions on Linux x86-64
    - Improvements:
      * Updated comparison operators to support vectors with different
        dimensions

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 01 May 2024 09:56:58 +0200

pgvector (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2.
    - Improvements:
      * Reduced lock contention with parallel HNSW index builds

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 20 Mar 2024 12:07:52 +0100

pgvector (0.6.1-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fixed error with `ANALYZE` and vectors with different dimensions
      * Fixed error with `shared_preload_libraries`
      * Fixed vector subtraction being marked as commutative

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 06 Mar 2024 09:26:29 +0100
