## pgvector 0.7.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 EXTENSION = vector
-EXTVERSION = 0.7.2
+EXTVERSION = 0.7.4
 
 MODULE_big = vector
-DATA = $(wildcard sql/*--*.sql)
+DATA = $(wildcard sql/*--*--*.sql)
+DATA_built = sql/$(EXTENSION)--$(EXTVERSION).sql
 OBJS = src/bitutils.o src/bitvec.o src/halfutils.o src/halfvec.o src/hnsw.o src/hnswbuild.o src/hnswinsert.o src/hnswscan.o src/hnswutils.o src/hnswvacuum.o src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/sparsevec.o src/vector.o
 HEADERS = src/halfvec.h src/sparsevec.h src/vector.h
 
@@ -42,8 +43,6 @@
 sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
 	cp $< $@
 
-EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
-
 PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
@@ -53,7 +52,7 @@
 	PROVE = prove
 endif
 
-# for Postgres 15
+# for Postgres < 15
 PROVE_FLAGS += -I ./test/perl
 
 prove_installcheck:
