=== debian/changelog ===
pgvector (0.7.4-2.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 20:51:56 +0200

pgvector (0.7.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:51:56 +0200

pgvector (0.7.4-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fixed locking for parallel HNSW index builds
      * Fixed compilation error with GCC 14 on i386 when SSE2 is not enabled

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 07 Aug 2024 18:27:27 +0200

pgvector (0.7.3-1) unstable; urgency=medium

  * New Upstream Release
    - Fixed
      * Fixed `failed to add index item` error with `sparsevec`
      * Fixed compilation error with FreeBSD ARM
      * Fixed compilation warning with MSVC and Postgres 16

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sun, 28 Jul 2024 19:34:29 +0300
