=== debian/control ===
--- 
+++ 
@@ -5,13 +5,55 @@
 Uploaders:
  Bradford D. Boyle <bradford.d.boyle@gmail.com>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
+
+Package: postgresql-12-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-13-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-14-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-15-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
 
 Package: postgresql-16-pgvector
 Architecture: any
@@ -22,3 +64,13 @@
 Description: Open-source vector similarity search for Postgres
  Supports exact and approximate nearest neighbor search for L2 distance, inner
  product, and cosine distance.
+
+Package: postgresql-17-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
