=== debian/changelog ===
pgvector (0.8.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 02 Nov 2024 13:19:07 +0100

pgvector (0.8.0-1) unstable; urgency=medium

  * New Upstream Release
    - New Features:
      - Added support for iterative index scans
      - Added casts for arrays to `sparsevec`
    - Improvements:
      - Improved cost estimation for better index selection when filtering
      - Improved performance of HNSW index scans
      - Improved performance of HNSW inserts and on-disk index builds
    - Breaking:
      - Dropped support for Postgres 12

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 02 Nov 2024 13:19:07 +0100
