=== debian/control ===
--- 
+++ 
@@ -14,16 +14,6 @@
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
-
-Package: postgresql-12-pgvector
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: Open-source vector similarity search for Postgres
- Supports exact and approximate nearest neighbor search for L2 distance, inner
- product, and cosine distance.
 
 Package: postgresql-13-pgvector
 Architecture: any
