=== debian/changelog ===
pgvector (0.8.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 18. (Closes: #1117315)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:06:20 +0200

pgvector (0.8.1-1) unstable; urgency=medium

  * New Upstream Release
    - New Features:
      - Added support for Postgres 18 rc1
    - Improvements:
      - Improved performance of `binary_quantize` function

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 05 Sep 2025 21:36:02 +0200
