=== debian/control ===
Source: pgvector
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Bradford D. Boyle <bradford.d.boyle@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: postgresql-18-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.
