=== debian/watch ===
version=4
https://github.com/pgvector/pgvector/tags .*/v(.*).tar.gz
