## pgvector 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION = vector
-EXTVERSION = 0.8.1
+EXTVERSION = 0.8.2
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*--*.sql)
@@ -24,6 +24,11 @@
 
 # PowerPC doesn't support -march=native
 ifneq ($(filter ppc64%, $(shell uname -m)), )
+	OPTFLAGS =
+endif
+
+# RISC-V64 doesn't support -march=native
+ifeq ($(shell uname -m), riscv64)
 	OPTFLAGS =
 endif
