=== debian/changelog ===
pgvector (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Feb 2026 10:42:55 +0100
